PHP 手冊
前一頁 |  | 下一頁

# stream_get_contents

(PHP 5)

stream_get_contents -- Reads remainder of a stream into a string

## Description

string stream_get_contents ( resource handle [, int maxlength [, int offset]] )

Identical to file_get_contents(), except that stream_get_contents() operates on an already open stream resource and returns the remaining contents in a string, up to maxlength bytes and starting at the specified offset.

## Parameters

handle (resource)

  A stream resource (e.g. returned from fopen())

maxlength (integer)

  The maximum bytes to read. Defaults to -1 (read all the remaining buffer).

offset (integer)

  Seek to the specified offset before reading. Added in PHP 5.1.0.

## Return Values

Returns a string, or `FALSE` on failure.

## 範例

範例 1. stream_get_contents() example

`<?php if ($stream = fopen('http://www.example.com', 'r')) { // print all the page starting at the offset 10 echo stream_get_contents($stream, -1, 10); fclose($stream); } if ($stream = fopen('http://www.example.net', 'r')) { // print the first 5 bytes echo stream_get_contents($stream, 5); fclose($stream); } ?>`

## 參考

fgets()
fread()
fpassthru()

> 注: 這個函數可安全的使用於二進位。

前一頁 | 內容 | 下一頁
stream_filter_remove | 上一層 | stream_get_filters